@charset "UTF-8";

/* =============================
  標準化
============================= */
*, *::after, *::before{
  /* ブラウザ特有の余白をなくす */
  margin: 0;
  padding: 0;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  -o-box-sizing: border-box;
  -ms-box-sizing: border-box;
  box-sizing: border-box;
  -webkit-overflow-scrolling: touch;
}
html {
  /* パンおよびズームのジェスチャーは有効にしますが、ダブルタップでのズームなど、標準外の追加的なジェスチャーを無効します
  -ms-touch-action: manipulation;
  touch-action: manipulation; */
}
/* フォントスタイル初期化 */
body, select, input, textarea, button, pre {
  color: #343434; /* delphi標準 */
  font-family: Meiryo UI,"メイリオ","ＭＳ ゴシック","ヒラギノ角ゴ Pro W3",Osaka,sans-serif;
  letter-spacing:0.8pt; /* 文字間隔 */
}

img { pointer-events: none; } /* 画像ドラッグで保存禁止 firefoxのみ*/

/* =============================
  マウスカーソル
============================= */
.bt:not(:disabled),
.sb:not(:disabled),
.ch:not(:disabled),
.sel:not(:disabled) { cursor: pointer; }

/* =============================
  入力コンポーネント
============================= */
/* フォーカス合わせた時の点線削除
----------------------------- */
.bt, .sb, .txt, .ne, .ps, .dp, .sel { outline: 0; }
/* firefox対策 */
.bt::-moz-focus-inner,
.sb::-moz-focus-inner,
.txt::-moz-focus-inner,
.ne::-moz-focus-inner,
.ps::-moz-focus-inner,
.dp::-moz-focus-inner,
.sel::-moz-focus-inner { border: 0; }

/* 日付入力コンポーネント
----------------------------- */
.dp { text-align: center; }
.ne { text-align: right; }

/* テキストエリア
----------------------------- */
.txa { resize: none; } /* サイズ変更禁止  */

/* =============================
   読み込み中アニメーション
============================= */
/* メインコンテンツスクロール禁止用クラス(modalWindow.jsよりbodyへ自動指定) */
.com_body_fixed {
position: fixed;
  width: 100%;
  height: 100%;
/*overflow: hidden;*/
}
#com_wait_window {
  width: 100%;
  height: 100%;
  position:fixed;
  top:0;
  left:0;
  z-index: 99;  /* 99を最大値とする */
  /* cursor: wait; */
  background-color: rgba(0, 0, 0, 0.3);
}
#com_wait_window p {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  margin: auto;
  padding-top: 40px;
  background-color: rgba(255,255,255, 0.9);
  background-image: url(../img/loading.gif);
  background-repeat: no-repeat;
  background-position: 50% 10px;
  border-radius: 5px;
  width: 200px;
  height: 70px;
  text-align: center;
}
/* =============================
   モーダルウィンドウ背面 読込中アイコン
============================= */
.com_modal_loading_img {
  width: 35px;
  height: 35px;
  background-position: 5px;
  background-image: url(../../img/loading.gif);
  background-repeat: no-repeat;
  background-color: rgba(255,255,255, 0.9);
  border-radius: 5px;
}

/* =============================
   DatePickerレイアウト崩れ対応
============================= */
.ui-datepicker-title { position: relative; }
.ui-datepicker-year,
.ui-datepicker-month{
  position: absolute;
  height: 25px;
}
.ui-datepicker-year  { left : 0px; }
.ui-datepicker-month { right: 0px; }


/* =============================
  汎用クラス
============================= */
.disp_none { display: none; } /* 要素非表示 */
.visib_hidden { visibility: hidden; } /* 要素非表示 レイアウトは維持 */
.txt_r { text-align: right; } /* 右寄せ */
.txt_c { text-align: center;} /* 中央寄せ */
.txt_l { text-align: left;}   /* 左寄せ */
.relative { position: relative;}
.pointer { cursor: pointer;} /* マウス.リンクカーソル(指さしマーク) */
.no-drop { cursor: no-drop;} /* ドロップ禁止カーソル  */

/* float関連 floatした要素が親要素からはみ出してしまうのを回避する */
.clearfix:after {
  content: "";
  display: block;
  clear: both;
}

